> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shows a user



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml get /api/public/buyer/v1/users/{id}
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/users/{id}:
    get:
      tags:
        - Users
      summary: Shows a user
      parameters:
        - name: id
          in: path
          example: 99999a99-b888-777c-666d-55555555555e
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User found
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 99999a99-b888-777c-666d-55555555555e
                  first_name:
                    type: string
                    nullable: true
                    example: John
                  last_name:
                    type: string
                    nullable: true
                    example: Smith
                  email:
                    type: string
                    example: hello@chemcloud.com.au
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
        '404':
          description: User not found
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````